org.apache.lucene.document

## Class ShapeField.DecodedTriangle

- java.lang.Object
- - org.apache.lucene.document.ShapeField.DecodedTriangle

- Enclosing class:
    ShapeField

      public static class ShapeField.DecodedTriangle
      extends Object

  Represents a encoded triangle using `ShapeField.decodeTriangle(byte[], DecodedTriangle)`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ShapeField.DecodedTriangle.TYPE` type of triangle

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `ab` represent if edge ab belongs to original shape
    `int` | `aX` x coordinate, vertex one
    `int` | `aY` y coordinate, vertex one
    `boolean` | `bc` represent if edge bc belongs to original shape
    `int` | `bX` x coordinate, vertex two
    `int` | `bY` y coordinate, vertex two
    `boolean` | `ca` represent if edge ca belongs to original shape
    `int` | `cX` x coordinate, vertex three
    `int` | `cY` y coordinate, vertex three
    `ShapeField.DecodedTriangle.TYPE` | `type` triangle type

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecodedTriangle()` default xtor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `String` | `toString()` pretty print the triangle vertices

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### aX

          public int aX

      x coordinate, vertex one

    - #### aY

          public int aY

      y coordinate, vertex one

    - #### bX

          public int bX

      x coordinate, vertex two

    - #### bY

          public int bY

      y coordinate, vertex two

    - #### cX

          public int cX

      x coordinate, vertex three

    - #### cY

          public int cY

      y coordinate, vertex three

    - #### ab

          public boolean ab

      represent if edge ab belongs to original shape

    - #### bc

          public boolean bc

      represent if edge bc belongs to original shape

    - #### ca

          public boolean ca

      represent if edge ca belongs to original shape

    - #### type

          public ShapeField.DecodedTriangle.TYPE type

      triangle type

  - ### Constructor Detail

    - #### DecodedTriangle

          public DecodedTriangle()

      default xtor

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      pretty print the triangle vertices
      Overrides:
        `toString` in class `Object`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.